careCycle
CampaignsTemplates

List Campaign Templates

Get all published campaign templates with their disposition groups and pulse workflows

GET
/v2/campaigns/campaign-templates

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Query Parameters

string

GET /v2/campaigns/campaign-templates Parameter

Value in"aca" | "medicare"
string

GET /v2/campaigns/campaign-templates Parameter

Value in"receptionist" | "sales" | "revenue" | "retention"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/campaign-templates"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "vertical": "aca",
      "suite": "receptionist",
      "clientFacingDescription": "string",
      "dispositionGroup": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "pulseWorkflow": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
        "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
        "name": "string",
        "workflowType": "campaign",
        "isTemplate": true,
        "status": "draft",
        "canvas": "string",
        "lastValidation": "string",
        "publishedAt": null,
        "publishedBy": "cbfccdb4-87bb-4311-ae53-25484c11300e",
        "publishedVersionNumber": -2147483648,
        "publishedStructureHash": "string",
        "publishedConfigHash": "string",
        "latestVersionId": "750445c5-7ad9-40bd-a593-bb37d7d846db",
        "publishedVersion": "string",
        "compiledVersion": -2147483648,
        "compiledAt": null,
        "compiledWorkflow": "string",
        "lastEditedBy": "c8f46d5a-a913-440d-93ff-c5119da72e7a",
        "deleted": true,
        "deletedAt": null
      },
      "requiredVars": []
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}